Subject: Re: [bug#56193] [PATCH] Add Climate Data Operators package

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 25 Jun 2022 14:05:28 +0200

Roman,

Roman Scherer 写道：
> thanks for the tip. Unfortunately the command you sent me is not
> enough. I still get this error with `guix shell guix`:

That's because I'm an old, who's still used to the (deprecated) 
‘guix environment’, but wanted to sound hip by saying ‘guix shell’ 
instead.  A recipe for failure.

The two are semantically equivalent but not identical, so I should 
have said

  $ guix shell -D guix -- ./pre-inst-env stuff

Note the -D, for --development (‘add P's inputs rather than P 
itself’).

Nothing wrong with keeping guile-* packages in your user profile 
but the above is a bit cleaner.

Kind regards,

T G-R